### Method

# Gtk.Entry.set_completion

#### Declaration [src]

    void
    gtk_entry_set_completion (
      GtkEntry* entry,
      GtkEntryCompletion* completion
    )

#### Description [src]

Sets `completion` to be the auxiliary completion object to use with `entry`.

All further configuration of the completion mechanism is done on `completion` using the `GtkEntryCompletion` API. Completion is disabled if `completion` is set to `NULL`.

Sets property | `Gtk.Entry:completion`

#### Parameters

`completion` | `GtkEntryCompletion`
| The `GtkEntryCompletion` or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee